# Add a single client to an ERPHubConnection Endpoint: POST /api/v1/integrations/connections/{connectionId}/clients Version: 1 Security: , , , ## Path parameters: - `connectionId` (string, required) The connection id ## Request fields (application/json): - `name` (string, required) The name of the client to add, must be unique for the connection. - `organizationNumber` (string, required) The organization number of the client to add, must be unique for the connection. - `currency` (string,null) The currency of the client to add, must be a valid ISO 4217 currency code. Will be made required in future versions. ## Response 200 fields (application/json): - `success` (boolean, required) Indicates whether the request was successful - `error` (string,null) Error message, if the request was not successful - `client` (object) Represents a client. - `client.clientId` (string, required) The client ID. - `client.name` (string, required) The name of the client. - `client.erpSystemType` (string) Enum: "Unknown", "VismaBusinessNXT", "VismaNet", "ApiIntegration" - `client.externalCompanyId` (string,null) The external company ID. - `client.organizationNumber` (string,null) The organization number. - `client.accountingPeriodDeviation` (integer,null) The accounting period deviation. - `client.currency` (string, required) Currency code of the client in ISO 4217. E.g. "USD", "EUR", "SEK". ## Response 400 fields (application/json): - `success` (boolean, required) Indicates whether the request was successful - `error` (string,null) Error message, if the request was not successful - `client` (object) Represents a client. - `client.clientId` (string, required) The client ID. - `client.name` (string, required) The name of the client. - `client.erpSystemType` (string) Enum: "Unknown", "VismaBusinessNXT", "VismaNet", "ApiIntegration" - `client.externalCompanyId` (string,null) The external company ID. - `client.organizationNumber` (string,null) The organization number. - `client.accountingPeriodDeviation` (integer,null) The accounting period deviation. - `client.currency` (string, required) Currency code of the client in ISO 4217. E.g. "USD", "EUR", "SEK". ## Response 403 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null)